Summary:	Backup tool for Linux
Name:		backintime
Version:	1.0.34
Release:	%mkrel 1
Source0:	http://backintime.le-web.org/download/backintime/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		Archiving/Backup
BuildArch:	noarch
URL:		http://backintime.le-web.org
Requires:	python-keyring

%description
Back In Time is a simple backup tool for Linux inspired from 
Flyback project and TimeVault.

#--------------------------------------------------------------------

%package common
Summary:	Back Up Tool for Linux
Group:		Archiving/Backup
Requires:	python
Requires:	rsync
Requires:	cron-daemon
Requires:	python-keyring

%description common
Common files for Back In Time

%files common -f %{name}.lang
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/common/
%{_datadir}/%{name}/plugins/
%{_mandir}/man1/%{name}*.*
%doc %{_datadir}/doc/%{name}/
%doc %{_datadir}/doc/%{name}-common/

#--------------------------------------------------------------------

%package gnome
Summary:	Gnome Frontend for Back In Time
Group:		Archiving/Backup
Requires:	pygtk2.0-libglade
Requires:	gnome-python
Requires:	meld
Requires:	python-notify
Requires:	%{name}-common = %{version}
Conflicts:	%{name}-common < 0.9.24-3

%description gnome
Gnome Frontend for Back In Time.

%files gnome
%doc LICENSE README
%{_bindir}/%{name}-gnome
%{_bindir}/%{name}-gnome-root
%{_sbindir}/%{name}-gnome-root
%{_mandir}/man1/%{name}-gnome.*
%{_sysconfdir}/pam.d/%{name}-gnome-root
%{_sysconfdir}/security/console.apps/%{name}-gnome-root
%{_datadir}/applications/%{name}-gnome.desktop
%{_datadir}/applications/%{name}-gnome-root.desktop
%{_datadir}/%{name}/gnome/
%doc %{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/

#---------------------------------------------------------------------

%package kde4
Summary:	KDE Frontend for Back In Time
Group:		Archiving/Backup
Requires:	x11-tools
Requires:	python-kde4 >= 4.1
Requires:	kompare
Requires:	kdebase4-runtime
Requires:	%{name}-common = %{version}

%description kde4
KDE Frontend for Back In Time.

%files kde4
%doc LICENSE README
%{_bindir}/%{name}-kde4
%{_bindir}/%{name}-kde4-root
%{_sbindir}/%{name}-kde4-root
%{_sysconfdir}/pam.d/%{name}-kde4-root
%{_sysconfdir}/security/console.apps/%{name}-kde4-root
%{_datadir}/applications/kde4/%{name}-kde4.desktop
%{_datadir}/applications/kde4/%{name}-kde4-root.desktop
%{_datadir}/%{name}/kde4/*
%{_datadir}/doc/kde/HTML/en/%{name}/index.docbook
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}-askpass
%{_mandir}/man1/%{name}-kde4.1.xz

#---------------------------------------------------------------------

%prep
%setup -qc %{name}-%{version}

# Editing backintime-gnome desktop file
sed -i 's|Exec=gksu backintime-gnome|Exec=backintime-gnome-root|g' gnome/%{name}-gnome-root.desktop

# Editing  backintime-kde desktop file
cp kde4/%{name}-kde4.desktop kde4/%{name}-kde4-root.desktop
sed -i 's|Exec=backintime-kde4|Exec=%{_libdir}/kde4/libexec/kdesu backintime-kde4-root|g' kde4/%{name}-kde4-root.desktop
sed -i 's|Name=Back In Time|Name=Back In Time (root)|g' kde4/%{name}-kde4-root.desktop

%build
pushd common
./configure
%make
popd

pushd kde4
./configure --no-check
%make
popd

pushd gnome
./configure --no-check
%make
popd

%install
pushd common
make install \
     INSTALL="install -p" \
     PREFIX="%{_prefix}" \
     DEST="%{buildroot}/%{_prefix}"

pushd ../kde4
make install \
     INSTALL="install -p" \
     PREFIX="%{_prefix}" \
     DEST="%{buildroot}/%{_prefix}"

pushd ../gnome
make install \
     INSTALL="install -p" \
     PREFIX="%{_prefix}" \
     DEST="%{buildroot}/%{_prefix}"
pushd ..

mkdir -p %{buildroot}%{_sbindir}
cp -p %{buildroot}%{_bindir}/%{name}-gnome \
      %{buildroot}%{_sbindir}/%{name}-gnome-root
cp -p %{buildroot}%{_bindir}/%{name}-kde4 \
      %{buildroot}%{_sbindir}/%{name}-kde4-root

ln -s consolehelper \
      %{buildroot}%{_bindir}/%{name}-gnome-root

ln -s consolehelper \
      %{buildroot}%{_bindir}/%{name}-kde4-root

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps/

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-gnome-root
USER=root
PROGRAM=%{_sbindir}/%{name}-gnome-root
SESSION=true
EOF

cat << EOF > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-kde4-root
USER=root
PROGRAM=%{_sbindir}/%{name}-kde4-root
SESSION=true
EOF

mkdir -p %{buildroot}%{_sysconfdir}/pam.d

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{name}-gnome-root
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

cat << EOF > %{buildroot}%{_sysconfdir}/pam.d/%{name}-kde4-root
#%PAM-1.0
auth            include         config-util
account         include         config-util
session         include         config-util
EOF

%find_lang %{name}


%changelog
* Mon Dec 23 2013 neoclust <neoclust> 1.0.34-1.mga4
+ Revision: 560232
- New version, fixes mga #11257

* Sat Oct 19 2013 umeabot <umeabot> 1.0.26-2.mga4
+ Revision: 534966
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 1.0.26-1.mga4
+ Revision: 480629
- new version 1.0.26

* Mon Jul 08 2013 philippem <philippem> 1.0.24-3.mga4
+ Revision: 451488
- add Requires python-keyring

* Fri Jun 14 2013 kharec <kharec> 1.0.24-2.mga4
+ Revision: 443046
- add python-keyring as a require (#10244)

* Thu May 23 2013 kharec <kharec> 1.0.24-1.mga4
+ Revision: 425087
- update to 1.0.24

* Fri Jan 11 2013 umeabot <umeabot> 1.0.8-2.mga3
+ Revision: 346825
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - it is a noarch package

* Thu Jul 07 2011 mikala <mikala> 1.0.8-1.mga2
+ Revision: 119616
- Update tarball to 1.0.8

* Sat Mar 05 2011 mikala <mikala> 1.0.6-1.mga1
+ Revision: 65137
- Update tarball to 1.0.6
- Add Requires for python-notify on gnome subpackage
- Use ./configure --no-checks for subpackage
- Drop patch0 merged
- imported package backintime


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.9.26-4mdv2011.0
+ Revision: 616695
- the mass rebuild of 2010.0 packages

* Thu Oct 22 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.26-3mdv2010.0
+ Revision: 458961
- Add Fedora patch to fix CVE-2009-3611

* Sun May 24 2009 Funda Wang <fwang@mandriva.org> 0.9.26-2mdv2010.0
+ Revision: 379163
- fix requires on gnome subpackage (bug#51096)

* Tue May 19 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.26-1mdv2010.0
+ Revision: 377741
- Update to new version 0.9.26
- Fix source URL

* Mon May 18 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.24-4mdv2010.0
+ Revision: 377252
- Fix Requires

* Mon May 11 2009 Funda Wang <fwang@mandriva.org> 0.9.24-3mdv2010.0
+ Revision: 374204
- arch-dependent as suggested by kdesu
- add requires
- should be noarch
- move gnome manpage into correct sub package

* Sat May 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.24-2mdv2010.0
+ Revision: 373903
- import backintime


* Sat May 09 2009 John Balcaen  <mandriva@littleboboy.net> 0.9.24-2mdv2009.0
- switching to kdesu instead of kdesudo (thk to neoclust)

* Fri May 08 2009 John Balcaen <mandriva@littleboboy.net> 0.9.24-1mdv2009.0
 Initial import
